//*********************************************************************************
//**
//** Project.........: A menu driven Multi Display RF Power and SWR Meter
//**                   using a Tandem Match Coupler and 2x AD8307; or
//**                   diode detectors.
//**
//** Copyright (C) 2016  Loftur E. Jonasson  (tf3lj [at] arrl [dot] net)
//** Copyright (c) 2019  J.G. Holstein  
//** This program is free software: you can redistribute it and/or modify
//** it under the terms of the GNU General Public License as published by
//** the Free Software Foundation, either version 3 of the License, or
//** (at your option) any later version.
//**
//** This program is distributed in the hope that it will be useful,
//** but WITHOUT ANY WARRANTY; without even the implied warranty of
//** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//** GNU General Public License for more details.
//**
//** You should have received a copy of the GNU General Public License
//** along with this program.  If not, see <http://www.gnu.org/licenses/>.
//**
//** Platform........: Teensy 3.1 / 3.2 / 3.5 / 3.6 (http://www.pjrc.com)
//**
//** Initial version.: 0.00, 2016-04-15  Loftur Jonasson, TF3LJ / VE2LJX / VE2AO
//**Version T_1.02 RA8875
//*********************************************************************************

void manage_Touchscreen(void)
{    
  unsigned long          currenttime;
  static   unsigned long startpush;            // Time when push starts
  static   bool          push;
   
  currenttime = millis();                      // Grab time
 
  //-------------------------------------------------------------------
  // Manage Touch Screen when not in Configuration Menu
  if (!flag.config_mode)
  {
  int TouchZ;
  TouchZ= tft.getTScoordinates(coordinates);
    if (!TouchZ)                        
   
    {
      if (push)
      {
        push = false;
        if (currenttime - startpush >= 1000) {     // Indicate Long push
         touch.longpush = true;
        
        }else{                                    // do stuff based on coordinates...
        touch.pushed = true;                   // Indicate normal push 
        
        }      
      }
      return;                                     // Exit
    }
  
    if (!push)                                    // Grab time when push starts
    {
      push = true;
      startpush = currenttime;
    }

    // Identify Region being Pushed
     if (TouchX  < 272) touch.upper = true;      // Upper 2/3 of screen
      else touch.lower = true;                   // Lower 1/3 of screen
      if (TouchY  < 320) touch.left  = true;     // Left 1/3 of screen
   }
 
  // Manage Touch Screen while in Configuration Menu
    else
    {
    
    if (tft.touched())  
    {        
      
      if (!push)                           
      {
        push = true; 
   
      }
    }
  }
}
void eraseTouchButtons(void)       // A simple draw black box to erase
{
    tft.fillRoundRect(0, 0, 140, 480, 1, BLACK);
    tft.fillRoundRect(670, 0, 130, 480, 1, BLACK);
    
    //touch.onscreen = false;
}
